#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kfilemetadata

%define rel 2

Summary:        A library for extracting file metadata
Name:           %framework
Version: 6.16.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)

BuildRequires:  cmake(QMobipocket6)

BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  attr-devel
BuildRequires:  ebook-tools-devel

# runtime dependencies
BuildRequires:  catdoc
Requires:       catdoc

%description
A library for extracting file metadata.

%files -f %{framework}6.lang
%_kf6_categoriesdir/kfilemetadata.*categories
%_kf6_bindir/kfilemetadata_dump6
%_kf6_plugindir/kfilemetadata

#--------------------------------------------------------------------

%define kf6filemetadata_major 3
%define libkf6filemetadata %mklibname kf6filemetadata %{kf6filemetadata_major}

%package -n %libkf6filemetadata
Summary:        A library for extracting file metadata
Group:          System/Libraries
Requires:       %{name} >= %version-%release

%description -n %libkf6filemetadata
A library for extracting file metadata.

%files -n %libkf6filemetadata
%_kf6_libdir/libKF6FileMetaData.so.%{kf6filemetadata_major}
%_kf6_libdir/libKF6FileMetaData.so.%{version}

#--------------------------------------------------------------------

%define kf6filemetadata_devel %mklibname kf6filemetadata -d

%package -n %kf6filemetadata_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf6filemetadata = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6filemetadata_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf6filemetadata_devel
%_kf6_includedir/KFileMetaData/
%_kf6_libdir/cmake/KF6FileMetaData/
%_kf6_libdir/libKF6FileMetaData.so

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %framework-%version

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang  %{framework}6


%changelog
* Tue Jul 15 2025 daviddavid <daviddavid> 6.16.0-2.mga10
+ Revision: 2256006
- rebuild for new kdegraphics-mobipocket 25.07.80

* Sat Jul 12 2025 daviddavid <daviddavid> 6.16.0-1.mga10
+ Revision: 2253033
- New version 6.16.0

* Sun Jun 15 2025 daviddavid <daviddavid> 6.15.0-1.mga10
+ Revision: 2191428
- New version 6.15.0

* Sun May 11 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182395
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175121
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164330
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136395
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126580
- New version 6.9.0

* Sun Dec 08 2024 daviddavid <daviddavid> 6.8.0-2.mga10
+ Revision: 2122619
- rebuild for new ffmpeg 7.1

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113078
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104755
- New version 6.7.0

* Fri Oct 04 2024 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 2103111
- rebuild for new taglib 2.0.2

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095922
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084364
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070536
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063392
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2057078
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044924
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037484
- New version 5.249.0

* Thu Jan 11 2024 daviddavid <daviddavid> 5.248.0-2.mga10
+ Revision: 2029949
- enable mobipocket epub reader support

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029577
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025611
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005807
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998963
- New version 5.111.0

* Mon Oct 02 2023 daviddavid <daviddavid> 5.110.0-2.mga10
+ Revision: 1993119
- rebuild for new exiv2 0.28.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987354
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952037
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947847
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941353
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935003
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922251
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911618
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900222
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887657
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880604
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-2.mga9
+ Revision: 1872171
- Build with QMobipocket Support

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871704
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853224
- New version 5.93.0

* Thu Mar 31 2022 neoclust <neoclust> 5.92.0-1.mga9
+ Revision: 1837312
- New version 5.92.0

* Sun Mar 13 2022 mrambo3501 <mrambo3501> 5.88.0-2.mga9
+ Revision: 1790683
- rebuild for ffmpeg 5.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754832
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749083
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747043
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735265
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723456
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714852
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702030
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691122
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653336
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633189
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625610
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612575
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603093
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592787
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582013
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566504
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556680
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546717
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486818
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Sun Dec 15 2019 daviddavid <daviddavid> 5.65.0-2.mga8
+ Revision: 1467533
- use new upstream tarball

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466228
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457613
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450995
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444807
- New version 5.62.0

* Mon Jul 29 2019 daviddavid <daviddavid> 5.60.0-3.mga8
+ Revision: 1425148
- remove unneeded previous Conflicts

* Tue Jul 16 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1421876
- conflicts wrong/old lib to ease upgrade

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420349
- New version 5.60.0

* Thu May 16 2019 daviddavid <daviddavid> 5.57.0-2.mga7
+ Revision: 1398016
- rebuild for new exiv2 0.27.1

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386935
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382373
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374563
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364537
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356660
- New version 5.54.0

* Fri Jan 11 2019 daviddavid <daviddavid> 5.53.0-2.mga7
+ Revision: 1354721
- rebuild for new exiv2 0.27

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339216
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318963
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298523
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247313
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231441
- add missing runtime dependencies on catdoc

* Sun May 20 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230743
- New version 5.46.0
+ wally <wally>
- drop upstream patches

* Fri Apr 27 2018 daviddavid <daviddavid> 5.42.0-3.mga7
+ Revision: 1222787
- rebuild for new ffmpeg 4.0

* Sat Jan 27 2018 daviddavid <daviddavid> 5.42.0-2.mga7
+ Revision: 1197301
- backport upstream patch to fix build with >=attr-2.4.48

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192283
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186097
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161239
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140401
- New version 5.37.0

* Fri Jul 21 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1125728
- New version 5.36.0

* Tue Jun 20 2017 neoclust <neoclust> 5.32.0-3.mga6
+ Revision: 1108006
- Rebuild against new exiv2

* Tue May 02 2017 akien <akien> 5.32.0-2.mga6
+ Revision: 1098362
- Rebuild for ffmpeg 3.3

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088965
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074536
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072201
- New version 5.28.0

* Mon Nov 28 2016 luigiwalser <luigiwalser> 5.27.0-2.mga6
+ Revision: 1070629
- rebuild for poppler

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058356
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050533
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049240
- enable EPub support

* Wed Aug 17 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1046723
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041333
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021931
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014341
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999637
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986330
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942250
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921283
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913031
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909867
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900491
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899614
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898927
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888167
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881391
- New version 5.14.0

* Wed Aug 26 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 869820
- Rebuild against gcc

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862952
- New version 5.13.0

* Tue Jul 28 2015 neoclust <neoclust> 5.9.1-2.mga6
+ Revision: 858499
- Rename to %%name

* Wed Jul 01 2015 neoclust <neoclust> 5.9.1-1.mga6
+ Revision: 849386
- New version 5.9.1
- New version 5.9.1

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-3.mga5
+ Revision: 804119
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 749623
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 681048
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662156
- New version 5.0.1

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653281
- Fix provides

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653279
- imported package kf5-kfilemetadata

